This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 134211 - Fedora Core 2 reboots after loading initrd on HP Compaq Presario S7299I
Fedora Core 2 reboots after loading initrd on HP Compaq Presario S7299I
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-30 03:30 EDT by Remigio Di Muzio
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:29:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Remigio Di Muzio 2004-09-30 03:30:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040927

Description of problem:
Kernel 2.6 included in Fedora Core 2 can't boot on my HP Compaq
Presario S7299I PC, since it reboots just after starting loading
initrd. Older kernels until 2.4.21 (from RH 9) run ok. I investigated
doing some hacking inside kernel code and I found what follows: the
function acpi_find_rsdp, called inside acpi_table_init (see file
tables.c under the drivers/acpi folder) during the kernel
initialization phase finds a corrupted acpi_table_rsdp structure. The
revision field of the returned acpi_table_rsdp structure seems to be
>= 2, so the next call to acpi_table_compute_checksum passes the value
of "((struct acpi20_table_rsdp *)rsdp)->length" as length parameter.
This value is probably not correct and this causes a memory access
violation during memory scanning inside the
acpi_table_compute_checksum function and subsequently the machine reboots.
My impression is that my machine BIOS (Phoenix Technologies, LTD,
Version: 3.09, Release Date: 03/25/2004) does not follow correctly
ACPI standard.
Everything goes fine simply passing from GRUB to kernel the acpi=off
initialization option.

This is the output of the first three entries given by dmidecode:

# dmidecode 2.2
SMBIOS 2.3 present.
40 structures occupying 1184 bytes.
Table at 0x000F0000.
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information
                Vendor: Phoenix Technologies, LTD
                Version: 3.09
                Release Date: 03/25/2004
                Address: 0xE0000
                Runtime Size: 128 kB
                ROM Size: 512 kB
                Characteristics:
                        ISA is supported
                        PCI is supported
                        PNP is supported
                        APM is supported
                        BIOS is upgradeable
                        BIOS shadowing is allowed
                        Boot from CD is supported
                        Selectable boot is supported
                        BIOS ROM is socketed
                        EDD is supported
                        5.25"/360 KB floppy services are supported
(int 13h)
                        5.25"/1.2 MB floppy services are supported
(int 13h)
                        3.5"/720 KB floppy services are supported (int
13h)
                        3.5"/2.88 MB floppy services are supported
(int 13h)
                        Print screen service is supported (int 5h)
                        8042 keyboard services are supported (int 9h)
                        Serial services are supported (int 14h)
                        Printer services are supported (int 17h)
                        CGA/mono video services are supported (int 10h)
                        ACPI is supported
                        USB legacy is supported
                        AGP is supported
                        LS-120 boot is supported
                        ATAPI Zip drive boot is supported
                        BIOS boot specification is supported
                        Function key-initiated network boot is supported
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information
                Manufacturer: Compaq Presario 061
                Product Name: PE440A-ABZ S7299IT IT420
                Version: 00B0411RE101NEON 10
                Serial Number: CZB4170MF9
                UUID: E0A3B8A1-3495-D811-B8DF-CC303EF2E9B6
                Wake-up Type: Other
Handle 0x0002
        DMI type 2, 8 bytes.
        Base Board Information
                Manufacturer: MICRO-STAR INTERNATIONAL CO., LTD
                Product Name: Gamila/Giovani/Neon series
                Version: 030
                Serial Number: 4A10111716


Version-Release number of selected component (if applicable):
From 2.4.22 on and every 2.6

How reproducible:
Always

Steps to Reproduce:
1. Boot a 2.6 kernel or boot from Fedora Core 2 installation CD

Actual Results:  The machine reboots just after loading initrd

Expected Results:  Normal boot sequence

Additional info:
Comment 1 Dave Jones 2005-04-16 00:29:35 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.